--- title: "Edit re-stream platform" slug: "media-livestation-re-stream-platformupdate" tags: ["Live Station"] updated: 2026-09-17T10:12:36Z published: 2026-09-17T10:12:36Z canonical: "api.ncloud-docs.com/media-livestation-re-stream-platformupdate" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Edit re-stream platform Available in Classic and VPC Edit information of a platform set for a re-stream channel. Note You can't edit the re-stream platform information during broadcast streaming. Edit it after you've completed broadcast streaming. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v2/re-stream/channels/{channelId}/platforms/{platformId} | ### Request headers For information about the headers common to all Live Station APIs, see [Live Station request headers](/docs/en/media-livestation#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `channelId` | String | Required | Channel ID - See [Get channel list](/docs/en/media-livestation-re-stream-channellist). | | `platformId` | Integer | Required | Re-stream platform ID - See [Get re-stream platform list](/docs/en/media-livestation-re-stream-platformlist). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `rtmpUrl` | String | Required | Re-stream platform RTMP URL - Enter the existing value if you don't want to edit. | | `streamKey` | String | Required | Re-stream platform stream key - Enter the existing value if you don't want to edit. | | `streamId` | String | Optional | RTMP authentication ID - Enter if you need to set up authentication. | | `streamPassword` | String | Optional | RTMP authentication password - Enter if you need to set up authentication. | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://livestation.apigw.ntruss.com/api/v2/re-stream/channels/ls-20250819******-Ik1QU/platforms/3699' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --header 'x-ncp-region_code: KR' \ --data '{ "rtmpUrl": "rtmp://rtmp-test1234.youtube.com", "streamKey": "****-****-****-****-****", "streamId": "user002", "streamPassword": "dbwj@@@789" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `content` | Object | - | Re-stream platform information | | `content.targetName` | String | - | Re-stream platform name | | `content.rtmpUrl` | String | - | Re-stream platform RTMP URL | | `content.id` | String | - | RTMP authentication ID - Displayed when setting up authentication information | | `content.password` | String | - | RTMP authentication password - Displayed when setting up authentication information - Mask strings except for the first character. | | `content.streamKey` | String | - | Re-stream platform stream key | | `content.platId` | Integer | - | Re-stream platform ID | ### Response status codes For information about the HTTP status codes common to all Live Station APIs, see [Live Station response status codes](/docs/en/media-livestation#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "content": { "targetName": "YOUTUBE", "rtmpUrl": "rtmp://rtmp-test1234.youtube.com", "id": "user002", "password": "d*****", "streamKey": "****-****-****-****-****", "platId": 3699 } } ```